﻿using System;
using System.Collections.Generic;

namespace TestProject
{
    /// <summary>
    /// 계정 리스트
    /// </summary>
    public class AccountList
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 데이터 구하기 - GetData()

        /// <summary>
        /// 데이터 구하기
        /// </summary>
        /// <returns>계정 리스트</returns>
        public List<Account> GetData()
        {
            List<Account> list = new List<Account>();

            list.Add(new Account() { UserName = "Nick White"   , RegistrationDate = DateTime.Today             });
            list.Add(new Account() { UserName = "Jack Rodman"  , RegistrationDate = new DateTime(2009, 5, 10)  });
            list.Add(new Account() { UserName = "Sandra Sherry", RegistrationDate = new DateTime(2008, 12, 22) });
            list.Add(new Account() { UserName = "Sabrina Vilk" , RegistrationDate = DateTime.Today             });
            list.Add(new Account() { UserName = "Mike Pearson" , RegistrationDate = new DateTime(2008, 10, 18) });

            return list;
        }

        #endregion
    }
}